Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents
Enum BlendModeEnum

    java.lang.Object
      java.lang.Enum<BlendModeEnum>
          org.pdfclown.documents.contents.BlendModeEnum

All Implemented Interfaces:
  Serializable, Comparable<BlendModeEnum>

    @PDF(value=PDF14)
    public enum BlendModeEnum

extends Enum<BlendModeEnum>

Blend mode to be used in the transparent imaging model [PDF:1.7:7.2.4].

Version:
  0.1.2, 08/23/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Color` Create a color with the hue and saturation of the source color and the luminosity of the backdrop color.
`ColorBurn` Darken the backdrop color to reflect the source color.
`ColorDodge` Brighten the backdrop color to reflect the source color.
`Darken` Select the darker of the backdrop and source colors.
`Difference` Subtract the darker of the two constituent colors from the lighter color.
`Exclusion` Produce an effect similar to that of the Difference mode but lower in contrast.
`HardLight` Multiply or screen the colors, depending on the source color value.
`Hue` Create a color with the hue of the source color and the saturation and luminosity of the backdrop color.
`Lighten` Select the lighter of the backdrop and source colors.
`Luminosity` Create a color with the luminosity of the source color and the hue and saturation of the backdrop color.
`Multiply` Multiply the backdrop and source color values.
`Normal` Select the source color, ignoring the backdrop.
`Overlay` Multiply or screen the colors, depending on the backdrop color value.
`Saturation` Create a color with the saturation of the source color and the hue and luminosity of the backdrop color.
`Screen` Multiply the complements of the backdrop and source color values, then complement the result.
`SoftLight` Darken or lighten the colors, depending on the source color value.

Method Summary
`static BlendModeEnum` | `get(PdfName value)` Gets the blend mode corresponding to the given value.
`PdfName` | `getCode()`
`static BlendModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BlendModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Normal

    public static final BlendModeEnum Normal

  Select the source color, ignoring the backdrop.

### Multiply

    public static final BlendModeEnum Multiply

  Multiply the backdrop and source color values.

### Screen

    public static final BlendModeEnum Screen

  Multiply the complements of the backdrop and source color values, then complement the result.

### Overlay

    public static final BlendModeEnum Overlay

  Multiply or screen the colors, depending on the backdrop color value.

### Darken

    public static final BlendModeEnum Darken

  Select the darker of the backdrop and source colors.

### Lighten

    public static final BlendModeEnum Lighten

  Select the lighter of the backdrop and source colors.

### ColorDodge

    public static final BlendModeEnum ColorDodge

  Brighten the backdrop color to reflect the source color.

### ColorBurn

    public static final BlendModeEnum ColorBurn

  Darken the backdrop color to reflect the source color.

### HardLight

    public static final BlendModeEnum HardLight

  Multiply or screen the colors, depending on the source color value.

### SoftLight

    public static final BlendModeEnum SoftLight

  Darken or lighten the colors, depending on the source color value.

### Difference

    public static final BlendModeEnum Difference

  Subtract the darker of the two constituent colors from the lighter color.

### Exclusion

    public static final BlendModeEnum Exclusion

  Produce an effect similar to that of the Difference mode but lower in contrast.

### Hue

    public static final BlendModeEnum Hue

  Create a color with the hue of the source color and the saturation and luminosity of the backdrop color.

### Saturation

    public static final BlendModeEnum Saturation

  Create a color with the saturation of the source color and the hue and luminosity of the backdrop color.

### Color

    public static final BlendModeEnum Color

  Create a color with the hue and saturation of the source color and the luminosity of the backdrop color.

### Luminosity

    public static final BlendModeEnum Luminosity

  Create a color with the luminosity of the source color and the hue and saturation of the backdrop color.

Method Detail

### values

    public static BlendModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BlendModeEnum c : BlendModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BlendModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static BlendModeEnum get(PdfName value)

  Gets the blend mode corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.